%Construct arbelos
function arbelos

a = 5/7;

%

%Define circle radii that form the arbelos
R1 = a/2;  R2 = (1-a)/2;

%Outer circle
x1 = R1+R2; y1 = 0; r1 = R1+R2;

%Inner circles
x2= R1; y2 = 0; r2 = R1;
x3 = 2*R1+R2; y3 = 0; r3 = R2;

%Create boundary of arbelos
theta = linspace(pi,0,1000);
x = x1 + r1*cos(theta); y = y1 +r1*sin(theta);
theta = linspace(0,pi,1000);
x = [x, x3 + r3*cos(theta)]; y = [y, y3 + r3*sin(theta)];
x = [x, x2 + r2*cos(theta)]; y = [y, y2 + r2*sin(theta)];

figure; patch(x,y,'g','facealpha',0.5); hold on; plot(x,y,'k'); axis equal; axis off;
title(['Arbelos R1=',num2str(R1,3),', R2=',num2str(R1,3)],'fontsize',14);
print( gcf,['arbelos a=',strrep(num2str(a,3),'.','-'),'.png'],'-dpng','-r300' );
close(gcf);

%End of code